<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-broadcast-message-heading">Create or edit a Broadcast Message</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_subject">Subject</label>
                    <input type="text" class="form-control" name="subject" id="field_subject"
                           formControlName="subject"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_message">Message</label>
                    <input type="text" class="form-control" name="message" id="field_message"
                           formControlName="message"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_from">From</label>
                    <div class="d-flex">
                        <input id="field_from" type="datetime-local" class="form-control" name="from" formControlName="from" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_to">To</label>
                    <div class="d-flex">
                        <input id="field_to" type="datetime-local" class="form-control" name="to" formControlName="to" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_status">Status</label>
                    <select class="form-control" name="status" formControlName="status" id="field_status">
                        <option value="DRAFT">DRAFT</option>
                        <option value="ACTIVE">ACTIVE</option>
                        <option value="EXPIRED">EXPIRED</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_visible">Visible</label>
                    <select class="form-control" name="visible" formControlName="visible" id="field_visible">
                        <option value="TEAM">TEAM</option>
                        <option value="ALL">ALL</option>
                        <option value="CUSTOM">CUSTOM</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_creatorTeamId">Creator Team Id</label>
                    <input type="text" class="form-control" name="creatorTeamId" id="field_creatorTeamId"
                           formControlName="creatorTeamId"/>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
